#ifndef SWR_VIEWER_HPP_INCLUDED
#define SWR_VIEWER_HPP_INCLUDED


#include"swr_polygonrenderer.hpp"
#include"swr_world.hpp"




namespace swr{




struct
Viewer: public RotationParameter
{
  std::vector<LineParameter>  transformated_lines;
  std::vector<SortedPolygon>  transformated_polygons;

  Screen  screen;


  void  reset(const World&  world, bool  lighting);

  void  append(const Polygon&  poly);

  void  render();

};


} 



#endif




