#ifndef SWR_OBJECT_HPP_INCLUDED
#define SWR_OBJECT_HPP_INCLUDED


#include"swr_color.hpp"
#include"swr_polygon.hpp"
#include"swr_sincos.hpp"
#include"swr_lineparameter.hpp"
#include<vector>
#include<string>




namespace swr{


struct
Object: public RotationParameter
{
  std::string  name;

  std::vector<LineParameter>  lines;
  std::vector<Polygon>  polygons;

  Object();

  void  push_line(   const Color&  color, const Point&  a, const Point&  b                 );
  void  push_polygon(const Color&  color, const Point&  a, const Point&  b, const Point&  c);

};


} 



#endif




